org.eclipse.rap.rwt.service

## Interface ApplicationContextListener

    public interface ApplicationContextListener

A listener that can be attached to an `ApplicationContext` to receive a notification before the application context is destroyed.

Since:
  2.2

### Method Summary

Methods
`void` `beforeDestroy(ApplicationContextEvent event)` Called before the related application context is destroyed.

### Method Detail

#### beforeDestroy

    void beforeDestroy(ApplicationContextEvent event)

Called before the related application context is destroyed.

Parameters:
  `event` - an event that provides access to the application context

Copyright (c) EclipseSource and others 2002, 2018. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0